#ifndef __SERVICE_ODO_USER_H__
#define __SERVICE_ODO_USER_H__

#include "TYW_stdint.h"
#include "Services_Mileage.h"

#define  ONLY_CLEAR_ODO_MIL    0x01u        /*仅根据距离信息进行ODO清除*/
//#define  ONLY_CLEAR_ODO_NUM    0x01u        /*仅根据次数信息进行ODO清除*/
//#define  CLEAR_ODO_NUM_MIL     0x01u        /*以距离信息以及次数信息进行ODO清除*/


#define   ODO_CLEAR_NUM   5u       /*清除次数上限值 */
#define   ODO_CLEAR_MIL   50000u   /*清除距离上限值 单位0.1KM*/


void Data_User_Mileage_KL30Init(void);
void Data_User_Mileage_KL15Init(void);

void Data_ODO_Clear_KL30Init(void);
void Data_ODO_Clear_KL15Init(void);

void VdoFmtTyp_Read(void);

void Data_ODO_Clear_Mileage_Num(void);
void TYW_Data_ODO_Clear(void);
void Data_User_EEPROM_Read(uint16_t u16BlockID, uint32_t u32Data[], uint16_t u16Len);
void Data_User_EEPROM_Write(Data_EEPROM_Enum_t BlockID, uint32_t u32Data[], uint16_t u16Len);
#endif
